# Deploy Contract

#### Endpoint

<mark style="color:green;">`POST`</mark> `/api/v1/ERC721F/{network}/deploy-contract`

> Executes deployment of an ERC-721F smart contract.

{% hint style="info" %}
Check the [Networks](/getting-started/networks.md) section for replacing the `{network}` text in the Endpoint URL.
{% endhint %}

***

**Headers**

| Name          | Value                                                                                                                       |
| ------------- | --------------------------------------------------------------------------------------------------------------------------- |
| Content-Type  | `application/json`                                                                                                          |
| Authorization | [Xyxyx API Key](/getting-started/xyxyx-api-keys.md) or [XIN](https://docs.xyxyx.pro/protocol/xyxyx/xyxyx-issuer-nodes-xins) |

***

**Body**

<table><thead><tr><th width="239">Name</th><th width="258">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>name</code></td><td>string</td><td>Defines the token name</td></tr><tr><td><code>ticker</code></td><td>string</td><td>Defines the token ticker</td></tr><tr><td><code>mintPrice</code></td><td>integer</td><td>Defines the token mint price</td></tr><tr><td><code>supply</code></td><td>integer</td><td>Defines the token supply</td></tr><tr><td><code>walletPrivateKey</code></td><td>string</td><td>Deployer private key for authorizing transaction</td></tr><tr><td><code>restrictToOwner</code></td><td>boolean (optional), defaults to <code>false</code></td><td>Defines if minting is restricted to contract owner</td></tr></tbody></table>

***

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "success": true,
  "status": "Contract deployed at address: {contractAddress}`",
  "hash": "1x111...",
  "deploymentAddress": "0x32a...",
  "adressUrl": "https://etherscan.io/address/{contractAddress}",
}
```

{% endtab %}

{% tab title="400" %}

```javascript
{
  "success": false,
  "status": "Failed to deploy contract: {error.message}"
}
```

{% endtab %}

{% tab title="401" %}

```javascript
{
  "success": false,
  "status": "The wallet does not own any valid Xyxyx API Key or XIN",
}
```

{% endtab %}

{% tab title="429" %}

```javascript
{
  "success": false,
  "status": "This wallet has already consumed its 24-hour request quota"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.xyxyx.pro/api-endpoints/erc-721f/deploy-contract.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
